library profile_page_wrapper;

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import '../../../../core/di/injection_container.dart';
import '../bloc/profile_bloc.dart';
import 'profile_page.dart';

/// Wrapper qui fournit le ProfileBloc à la ProfilePage
class ProfilePageWrapper extends StatelessWidget {
  const ProfilePageWrapper({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider<ProfileBloc>(
      create: (_) => sl<ProfileBloc>(),
      child: const ProfilePage(),
    );
  }
}
